WPMU DEV PHP 7 compatibility of your plugins

I try to use as many of your plugins as possible to avoid dealing with many different venders.

I'm setting up a new server for Wordpress based sites and want to know if all of your plugins are meant to be compatible with PHP 7. I'd like to use PHP 7 on the new server but don't want to cause myself problems.

  • Adam Czajczyk

    Hello Damon,

    I hope you're well today and thank you for your question!

    Some of my test sites are powered by PHP 7.0.7 and I didn't experience any issue related strictly to PHP version so far. I'm aware that you may find some reports related to PHP 7 on this forum but most of them had either been already resolved or are related to warnings/notifications that does need (and will be) to be addressed for "standards compatibility" but does not affect plugins performance.

    That said, I think you may safely go for PHP 7. I'm using it for testing, troubleshooting and diagnosing issues and it works fine.

    I hope that helps!
    Best regards,
    Adam

  • Damon

    Thanks Adam, just so it's clear, you say that the intention is that all the plugins supplied by WPMU DEV are compatible with PHP 7? I understand that there could be issues and bugs to address as with any software, but there are none that are currently known to fail with PHP 7.

    Since I will also be using plugins from other sources it would be great to hear from others who have a lot of client Wordpress sites on a PHP 7 server of anything in particular to watch out for. Especially if you are on WHM-EasyApache 4 implementation of PHP 7.

  • Morteza Rezvani

    Hi Damon

    Personally I installed php 7.0 on my server and my WPMU worked without any problem. I use this plugins directly on my WPMU main site:

    Admin Ads, Admin Panel Tips, Affiliate, Avatars For Multisite, Blog Activity, Cloner, Comments Control, Content Monitor, Dashboard Feeds, Domain Mapping, HTML Email Templates, Multi-Domains for Multisite, Multisite Theme Manager, New Blog Templates, Pro Sites, Reports, Select Language At Signup, Set Blog Description on Blog Creation, Simple Sitemaps For Multisite, Site Generator Replacement, SmartCrawl, Snapshot, Support System, User Activity, User Reports, WP Defender, WP Hummingbird, WP Smush Pro, WPMU DEV Videos

    All of this plugins work fine on my server with php 7.0 and I hasn't any problem with this tile now. Even I tested all of this plugin with HHVM, and all of this worked fine.

    Best Regard
    Morteza Rezvani

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.